GBase 8a集群查询报错The query includes syntax that is not supported by the Express engine

GBase 8a数据库集群,当查询主表是express引擎,如果和其它引擎的表一起操作,比如gssys,memory等引擎的表,也会报这个错误

报错信息样例如下:

The query includes syntax that is not supported by the Express engine. Either restructure the query with supported syntax, or enable the GBase Query Path in the configuration file to execute the query with reduced performance.

原因:

数据库不支持的语法。

1、确实当前版本不支持,新版本【可能支持】

2、更多的可能是跨引擎的查询。当前主表是express引擎,如果和其它引擎的表一起操作,比如gssys,memory等引擎的表,也会报这个错误,这也是报错信息里写的,可以尝试打开一个参数试试,但因为是跨引擎,性能期望要降低。

解决

1、只能等新版本规划

2、设置如下参数看看效果
set _gbase_query_path=1

该参数在862Build33及以前版本,是只支持global的,
set global _gbase_query_path=1
这样会影响到所有的连接

在之后版本支持session级别,只对当前连接有效。而set global将只对其它有效,对当前无效。

发表评论

您的电子邮箱地址不会被公开。